Results 1 to 9 of 9

Thread: Broken upgrade to 18.04?

  1. #1
    Join Date
    Feb 2017
    Beans
    50

    Broken upgrade to 18.04?

    I have a Dell XPS13 which has been running Lubuntu 16.04 for some time. Recently I upgraded to 18.04, and most things seem to work as before, apart from the Software Updater. If I open it to check for updates, or if it opens automatically, it tells me that updated software is available for this computer (just now it said that 74.1MB would be downloaded); but when I click "Install Now" the dialog box says "Installing updates ..." and "Loading software list ...", and then it crashes.

    I've also noticed that Synaptic Package Manager no longer works - that is, it crashes before asking for authentication. Perhaps that's another manifestation of the problem?

    The kernel version is 4.15.0-88-generic.

    Any advice would be appreciated.

  2. #2
    Join Date
    Aug 2011
    Location
    51.8° N 5.8° E
    Beans
    5,008
    Distro
    Xubuntu 19.10 Eoan Ermine

    Re: Broken upgrade to 18.04?

    Let's try it by command line. That may give a useful error message.
    Code:
    sudo apt update
    sudo apt upgrade

  3. #3
    Join Date
    Feb 2017
    Beans
    50

    Re: Broken upgrade to 18.04?

    Thanks. I've done that with no errors, and rebooted. Now Software Updater says that the software is up-to-date.

    I still can't start Synaptic Package Manager, though. Maybe the problem is to do with authentication? That seems to be where both Software Updater and Synaptic Package Manager fall over.

    For reference, here's the output from those two commands.
    Code:
    $ sudo apt update
    Get:1 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]
    Hit:2 http://gb.archive.ubuntu.com/ubuntu bionic InRelease               
    Get:3 http://gb.archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]   
    Get:4 http://gb.archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB] 
    Get:5 http://security.ubuntu.com/ubuntu bionic-security/main i386 Packages [450 kB]
    Get:6 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages [660 kB]
    Get:7 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages [670 kB]
    Get:8 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages [892 kB]
    Get:9 http://security.ubuntu.com/ubuntu bionic-security/main Translation-en [216 kB]
    Get:10 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main Translation-en [309 kB]
    Fetched 3,448 kB in 1s (2,629 kB/s)                             
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    $ sudo apt upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Calculating upgrade... Done
    The following packages were automatically installed and are no longer required:
      gir1.2-goocanvas-2.0 libgoocanvas-2.0-9 libgoocanvas-2.0-common
      libgoocanvas2-perl libgtk3-simplelist-perl libuuid1:i386
      linux-image-generic-hwe-16.04 python-xdg
    Use 'sudo apt autoremove' to remove them.
    The following NEW packages will be installed
      linux-headers-4.15.0-91 linux-headers-4.15.0-91-generic
      linux-image-4.15.0-91-generic linux-modules-4.15.0-91-generic
      linux-modules-extra-4.15.0-91-generic
    The following packages have been kept back:
      simple-scan
    The following packages will be upgraded:
      apport apport-gtk bsdutils fdisk grub-common grub-efi-amd64
      grub-efi-amd64-bin grub-efi-amd64-signed grub2-common libasound2
      libasound2-data libblkid1 libfdisk1 libglib2.0-0 libglib2.0-bin
      libglib2.0-data libmount1 libsmartcols1 libuuid1 libuuid1:i386 linux-base
      linux-generic linux-headers-generic linux-image-generic linux-libc-dev mount
      python3-apport python3-problem-report util-linux uuid-runtime vim-common
      vim-tiny xxd
    33 to upgrade, 5 to newly install, 0 to remove and 1 not to upgrade.
    Need to get 74.5 MB of archives.
    After this operation, 333 MB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Get:1 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 bsdutils amd64 1:2.31.1-0.4ubuntu3.6 [60.3 kB]
    Get:2 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main i386 libuuid1 i386 2.31.1-0.4ubuntu3.6 [20.8 kB]
    Get:3 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libuuid1 amd64 2.31.1-0.4ubuntu3.6 [20.1 kB]
    Get:4 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libblkid1 amd64 2.31.1-0.4ubuntu3.6 [124 kB]
    Get:5 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libfdisk1 amd64 2.31.1-0.4ubuntu3.6 [164 kB]
    Get:6 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libmount1 amd64 2.31.1-0.4ubuntu3.6 [136 kB]
    Get:7 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libsmartcols1 amd64 2.31.1-0.4ubuntu3.6 [83.7 kB]
    Get:8 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 fdisk amd64 2.31.1-0.4ubuntu3.6 [108 kB]
    Get:9 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 util-linux amd64 2.31.1-0.4ubuntu3.6 [903 kB]
    Get:10 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 mount amd64 2.31.1-0.4ubuntu3.6 [107 kB]
    Get:11 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 uuid-runtime amd64 2.31.1-0.4ubuntu3.6 [34.8 kB]
    Get:12 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglib2.0-data all 2.56.4-0ubuntu0.18.04.6 [4,540 B]
    Get:13 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglib2.0-bin amd64 2.56.4-0ubuntu0.18.04.6 [68.8 kB]
    Get:14 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglib2.0-0 amd64 2.56.4-0ubuntu0.18.04.6 [1,171 kB]
    Get:15 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 linux-base all 4.5ubuntu1.1 [17.7 kB]
    Get:16 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 vim-tiny amd64 2:8.0.1453-1ubuntu1.3 [476 kB]
    Get:17 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 xxd amd64 2:8.0.1453-1ubuntu1.3 [49.4 kB]
    Get:18 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 vim-common all 2:8.0.1453-1ubuntu1.3 [70.6 kB]
    Get:19 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 grub-efi-amd64 amd64 2.02-2ubuntu8.15 [47.8 kB]
    Get:20 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 grub2-common amd64 2.02-2ubuntu8.15 [532 kB]
    Get:21 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 grub-efi-amd64-signed amd64 1.93.16+2.02-2ubuntu8.15 [299 kB]
    Get:22 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 grub-efi-amd64-bin amd64 2.02-2ubuntu8.15 [655 kB]
    Get:23 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 grub-common amd64 2.02-2ubuntu8.15 [1,775 kB]
    Get:24 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3-problem-report all 2.20.9-0ubuntu7.12 [10.9 kB]
    Get:25 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3-apport all 2.20.9-0ubuntu7.12 [82.1 kB]
    Get:26 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 apport all 2.20.9-0ubuntu7.12 [124 kB]
    Get:27 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 apport-gtk all 2.20.9-0ubuntu7.12 [9,700 B]
    Get:28 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libasound2 amd64 1.1.3-5ubuntu0.4 [361 kB]
    Get:29 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libasound2-data all 1.1.3-5ubuntu0.4 [38.0 kB]
    Get:30 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 linux-modules-4.15.0-91-generic amd64 4.15.0-91.92 [13.1 MB]
    Get:31 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 linux-image-4.15.0-91-generic amd64 4.15.0-91.92 [7,999 kB]
    Get:32 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 linux-modules-extra-4.15.0-91-generic amd64 4.15.0-91.92 [32.8 MB]
    Get:33 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 linux-generic amd64 4.15.0.91.83 [1,864 B]
    Get:34 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 linux-image-generic amd64 4.15.0.91.83 [2,460 B]
    Get:35 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 linux-headers-4.15.0-91 all 4.15.0-91.92 [11.0 MB]
    Get:36 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 linux-headers-4.15.0-91-generic amd64 4.15.0-91.92 [1,132 kB]
    Get:37 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 linux-headers-generic amd64 4.15.0.91.83 [2,420 B]
    Get:38 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 linux-libc-dev amd64 4.15.0-91.92 [1,026 kB]
    Fetched 74.5 MB in 14s (5,503 kB/s)                                            
    Extract templates from packages: 100%
    Preconfiguring packages ...
    (Reading database ... 471507 files and directories currently installed.)
    Preparing to unpack .../bsdutils_1%3a2.31.1-0.4ubuntu3.6_amd64.deb ...
    Unpacking bsdutils (1:2.31.1-0.4ubuntu3.6) over (1:2.31.1-0.4ubuntu3.5) ...
    Setting up bsdutils (1:2.31.1-0.4ubuntu3.6) ...
    (Reading database ... 471507 files and directories currently installed.)
    Preparing to unpack .../libuuid1_2.31.1-0.4ubuntu3.6_amd64.deb ...
    De-configuring libuuid1:i386 (2.31.1-0.4ubuntu3.5) ...
    Unpacking libuuid1:amd64 (2.31.1-0.4ubuntu3.6) over (2.31.1-0.4ubuntu3.5) ...
    Preparing to unpack .../libuuid1_2.31.1-0.4ubuntu3.6_i386.deb ...
    Unpacking libuuid1:i386 (2.31.1-0.4ubuntu3.6) over (2.31.1-0.4ubuntu3.5) ...
    Preparing to unpack .../libblkid1_2.31.1-0.4ubuntu3.6_amd64.deb ...
    Unpacking libblkid1:amd64 (2.31.1-0.4ubuntu3.6) over (2.31.1-0.4ubuntu3.5) ...
    Setting up libuuid1:amd64 (2.31.1-0.4ubuntu3.6) ...
    Setting up libuuid1:i386 (2.31.1-0.4ubuntu3.6) ...
    Setting up libblkid1:amd64 (2.31.1-0.4ubuntu3.6) ...
    (Reading database ... 471507 files and directories currently installed.)
    Preparing to unpack .../libfdisk1_2.31.1-0.4ubuntu3.6_amd64.deb ...
    Unpacking libfdisk1:amd64 (2.31.1-0.4ubuntu3.6) over (2.31.1-0.4ubuntu3.5) ...
    Setting up libfdisk1:amd64 (2.31.1-0.4ubuntu3.6) ...
    (Reading database ... 471507 files and directories currently installed.)
    Preparing to unpack .../libmount1_2.31.1-0.4ubuntu3.6_amd64.deb ...
    Unpacking libmount1:amd64 (2.31.1-0.4ubuntu3.6) over (2.31.1-0.4ubuntu3.5) ...
    Setting up libmount1:amd64 (2.31.1-0.4ubuntu3.6) ...
    (Reading database ... 471507 files and directories currently installed.)
    Preparing to unpack .../libsmartcols1_2.31.1-0.4ubuntu3.6_amd64.deb ...
    Unpacking libsmartcols1:amd64 (2.31.1-0.4ubuntu3.6) over (2.31.1-0.4ubuntu3.5) ...
    Setting up libsmartcols1:amd64 (2.31.1-0.4ubuntu3.6) ...
    (Reading database ... 471507 files and directories currently installed.)
    Preparing to unpack .../fdisk_2.31.1-0.4ubuntu3.6_amd64.deb ...
    Unpacking fdisk (2.31.1-0.4ubuntu3.6) over (2.31.1-0.4ubuntu3.5) ...
    Setting up fdisk (2.31.1-0.4ubuntu3.6) ...
    (Reading database ... 471507 files and directories currently installed.)
    Preparing to unpack .../util-linux_2.31.1-0.4ubuntu3.6_amd64.deb ...
    Unpacking util-linux (2.31.1-0.4ubuntu3.6) over (2.31.1-0.4ubuntu3.5) ...
    Setting up util-linux (2.31.1-0.4ubuntu3.6) ...
    (Reading database ... 471507 files and directories currently installed.)
    Preparing to unpack .../00-mount_2.31.1-0.4ubuntu3.6_amd64.deb ...
    Unpacking mount (2.31.1-0.4ubuntu3.6) over (2.31.1-0.4ubuntu3.5) ...
    Preparing to unpack .../01-uuid-runtime_2.31.1-0.4ubuntu3.6_amd64.deb ...
    Unpacking uuid-runtime (2.31.1-0.4ubuntu3.6) over (2.31.1-0.4ubuntu3.5) ...
    Preparing to unpack .../02-libglib2.0-data_2.56.4-0ubuntu0.18.04.6_all.deb ...
    Unpacking libglib2.0-data (2.56.4-0ubuntu0.18.04.6) over (2.56.4-0ubuntu0.18.04.4) ...
    Preparing to unpack .../03-libglib2.0-bin_2.56.4-0ubuntu0.18.04.6_amd64.deb ...
    Unpacking libglib2.0-bin (2.56.4-0ubuntu0.18.04.6) over (2.56.4-0ubuntu0.18.04.4) ...
    Preparing to unpack .../04-libglib2.0-0_2.56.4-0ubuntu0.18.04.6_amd64.deb ...
    Unpacking libglib2.0-0:amd64 (2.56.4-0ubuntu0.18.04.6) over (2.56.4-0ubuntu0.18.04.4) ...
    Preparing to unpack .../05-linux-base_4.5ubuntu1.1_all.deb ...
    Unpacking linux-base (4.5ubuntu1.1) over (4.5ubuntu1) ...
    Preparing to unpack .../06-vim-tiny_2%3a8.0.1453-1ubuntu1.3_amd64.deb ...
    Unpacking vim-tiny (2:8.0.1453-1ubuntu1.3) over (2:8.0.1453-1ubuntu1.1) ...
    Preparing to unpack .../07-xxd_2%3a8.0.1453-1ubuntu1.3_amd64.deb ...
    Unpacking xxd (2:8.0.1453-1ubuntu1.3) over (2:8.0.1453-1ubuntu1.1) ...
    Preparing to unpack .../08-vim-common_2%3a8.0.1453-1ubuntu1.3_all.deb ...
    Unpacking vim-common (2:8.0.1453-1ubuntu1.3) over (2:8.0.1453-1ubuntu1.1) ...
    Preparing to unpack .../09-grub-efi-amd64_2.02-2ubuntu8.15_amd64.deb ...
    Unpacking grub-efi-amd64 (2.02-2ubuntu8.15) over (2.02-2ubuntu8.14) ...
    Preparing to unpack .../10-grub2-common_2.02-2ubuntu8.15_amd64.deb ...
    Unpacking grub2-common (2.02-2ubuntu8.15) over (2.02-2ubuntu8.14) ...
    Preparing to unpack .../11-grub-efi-amd64-signed_1.93.16+2.02-2ubuntu8.15_amd64.deb ...
    Unpacking grub-efi-amd64-signed (1.93.16+2.02-2ubuntu8.15) over (1.93.15+2.02-2ubuntu8.14) ...
    Preparing to unpack .../12-grub-efi-amd64-bin_2.02-2ubuntu8.15_amd64.deb ...
    Unpacking grub-efi-amd64-bin (2.02-2ubuntu8.15) over (2.02-2ubuntu8.14) ...
    Preparing to unpack .../13-grub-common_2.02-2ubuntu8.15_amd64.deb ...
    Unpacking grub-common (2.02-2ubuntu8.15) over (2.02-2ubuntu8.14) ...
    Preparing to unpack .../14-python3-problem-report_2.20.9-0ubuntu7.12_all.deb ...
    Unpacking python3-problem-report (2.20.9-0ubuntu7.12) over (2.20.9-0ubuntu7.11) ...
    Preparing to unpack .../15-python3-apport_2.20.9-0ubuntu7.12_all.deb ...
    Unpacking python3-apport (2.20.9-0ubuntu7.12) over (2.20.9-0ubuntu7.11) ...
    Preparing to unpack .../16-apport_2.20.9-0ubuntu7.12_all.deb ...
    Unpacking apport (2.20.9-0ubuntu7.12) over (2.20.9-0ubuntu7.11) ...
    Preparing to unpack .../17-apport-gtk_2.20.9-0ubuntu7.12_all.deb ...
    Unpacking apport-gtk (2.20.9-0ubuntu7.12) over (2.20.9-0ubuntu7.11) ...
    Preparing to unpack .../18-libasound2_1.1.3-5ubuntu0.4_amd64.deb ...
    Unpacking libasound2:amd64 (1.1.3-5ubuntu0.4) over (1.1.3-5ubuntu0.2) ...
    Preparing to unpack .../19-libasound2-data_1.1.3-5ubuntu0.4_all.deb ...
    Unpacking libasound2-data (1.1.3-5ubuntu0.4) over (1.1.3-5ubuntu0.2) ...
    Selecting previously unselected package linux-modules-4.15.0-91-generic.
    Preparing to unpack .../20-linux-modules-4.15.0-91-generic_4.15.0-91.92_amd64.deb ...
    Unpacking linux-modules-4.15.0-91-generic (4.15.0-91.92) ...
    Selecting previously unselected package linux-image-4.15.0-91-generic.
    Preparing to unpack .../21-linux-image-4.15.0-91-generic_4.15.0-91.92_amd64.deb ...
    Unpacking linux-image-4.15.0-91-generic (4.15.0-91.92) ...
    Selecting previously unselected package linux-modules-extra-4.15.0-91-generic.
    Preparing to unpack .../22-linux-modules-extra-4.15.0-91-generic_4.15.0-91.92_amd64.deb ...
    Unpacking linux-modules-extra-4.15.0-91-generic (4.15.0-91.92) ...
    Preparing to unpack .../23-linux-generic_4.15.0.91.83_amd64.deb ...
    Unpacking linux-generic (4.15.0.91.83) over (4.15.0.88.80) ...
    Preparing to unpack .../24-linux-image-generic_4.15.0.91.83_amd64.deb ...
    Unpacking linux-image-generic (4.15.0.91.83) over (4.15.0.88.80) ...
    Selecting previously unselected package linux-headers-4.15.0-91.
    Preparing to unpack .../25-linux-headers-4.15.0-91_4.15.0-91.92_all.deb ...
    Unpacking linux-headers-4.15.0-91 (4.15.0-91.92) ...
    Selecting previously unselected package linux-headers-4.15.0-91-generic.
    Preparing to unpack .../26-linux-headers-4.15.0-91-generic_4.15.0-91.92_amd64.deb ...
    Unpacking linux-headers-4.15.0-91-generic (4.15.0-91.92) ...
    Preparing to unpack .../27-linux-headers-generic_4.15.0.91.83_amd64.deb ...
    Unpacking linux-headers-generic (4.15.0.91.83) over (4.15.0.88.80) ...
    Preparing to unpack .../28-linux-libc-dev_4.15.0-91.92_amd64.deb ...
    Unpacking linux-libc-dev:amd64 (4.15.0-91.92) over (4.15.0-88.88) ...
    Setting up xxd (2:8.0.1453-1ubuntu1.3) ...
    Setting up libglib2.0-0:amd64 (2.56.4-0ubuntu0.18.04.6) ...
    Setting up libasound2-data (1.1.3-5ubuntu0.4) ...
    Setting up linux-base (4.5ubuntu1.1) ...
    Setting up linux-headers-4.15.0-91 (4.15.0-91.92) ...
    Setting up linux-libc-dev:amd64 (4.15.0-91.92) ...
    Setting up mount (2.31.1-0.4ubuntu3.6) ...
    Setting up libasound2:amd64 (1.1.3-5ubuntu0.4) ...
    Setting up uuid-runtime (2.31.1-0.4ubuntu3.6) ...
    Setting up python3-problem-report (2.20.9-0ubuntu7.12) ...
    Setting up libglib2.0-data (2.56.4-0ubuntu0.18.04.6) ...
    Setting up grub-common (2.02-2ubuntu8.15) ...
    update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
    Setting up vim-common (2:8.0.1453-1ubuntu1.3) ...
    Setting up libglib2.0-bin (2.56.4-0ubuntu0.18.04.6) ...
    Setting up linux-modules-4.15.0-91-generic (4.15.0-91.92) ...
    Setting up vim-tiny (2:8.0.1453-1ubuntu1.3) ...
    Setting up linux-headers-4.15.0-91-generic (4.15.0-91.92) ...
    Setting up grub-efi-amd64-bin (2.02-2ubuntu8.15) ...
    Setting up grub2-common (2.02-2ubuntu8.15) ...
    Setting up python3-apport (2.20.9-0ubuntu7.12) ...
    Setting up apport (2.20.9-0ubuntu7.12) ...
    Installing new version of config file /etc/init.d/apport ...
    apport-autoreport.service is a disabled or a static unit, not starting it.
    Setting up linux-image-4.15.0-91-generic (4.15.0-91.92) ...
    I: /vmlinuz.old is now a symlink to boot/vmlinuz-4.15.0-88-generic
    I: /initrd.img.old is now a symlink to boot/initrd.img-4.15.0-88-generic
    I: /vmlinuz is now a symlink to boot/vmlinuz-4.15.0-91-generic
    I: /initrd.img is now a symlink to boot/initrd.img-4.15.0-91-generic
    Setting up linux-headers-generic (4.15.0.91.83) ...
    Setting up grub-efi-amd64 (2.02-2ubuntu8.15) ...
    Installing for x86_64-efi platform.
    Installation finished. No error reported.
    Sourcing file `/etc/default/grub'
    Generating grub configuration file ...
    Found linux image: /boot/vmlinuz-4.15.0-91-generic
    Found linux image: /boot/vmlinuz-4.15.0-88-generic
    Found initrd image: /boot/initrd.img-4.15.0-88-generic
    Found linux image: /boot/vmlinuz-4.15.0-76-generic
    Found initrd image: /boot/initrd.img-4.15.0-76-generic
    Adding boot menu entry for EFI firmware configuration
    done
    Setting up apport-gtk (2.20.9-0ubuntu7.12) ...
    Setting up grub-efi-amd64-signed (1.93.16+2.02-2ubuntu8.15) ...
    Installing for x86_64-efi platform.
    Installation finished. No error reported.
    Setting up linux-modules-extra-4.15.0-91-generic (4.15.0-91.92) ...
    Setting up linux-image-generic (4.15.0.91.83) ...
    Setting up linux-generic (4.15.0.91.83) ...
    Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
    Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
    Processing triggers for hicolor-icon-theme (0.17-2) ...
    Processing triggers for mime-support (3.60ubuntu1) ...
    Processing triggers for ureadahead (0.100.0-21) ...
    ureadahead will be reprofiled on next reboot
    Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.2) ...
    Processing triggers for install-info (6.5.0.dfsg.1-2) ...
    Processing triggers for libc-bin (2.27-3ubuntu1) ...
    Processing triggers for systemd (237-3ubuntu10.39) ...
    Processing triggers for linux-image-4.15.0-91-generic (4.15.0-91.92) ...
    /etc/kernel/postinst.d/initramfs-tools:
    update-initramfs: Generating /boot/initrd.img-4.15.0-91-generic
    /etc/kernel/postinst.d/zz-update-grub:
    Sourcing file `/etc/default/grub'
    Generating grub configuration file ...
    Found linux image: /boot/vmlinuz-4.15.0-91-generic
    Found initrd image: /boot/initrd.img-4.15.0-91-generic
    Found linux image: /boot/vmlinuz-4.15.0-88-generic
    Found initrd image: /boot/initrd.img-4.15.0-88-generic
    Found linux image: /boot/vmlinuz-4.15.0-76-generic
    Found initrd image: /boot/initrd.img-4.15.0-76-generic
    Adding boot menu entry for EFI firmware configuration
    done
    Processing triggers for shim-signed (1.37~18.04.3+15+1533136590.3beb971-0ubuntu1) ...

  4. #4
    Join Date
    May 2008
    Beans
    626
    Distro
    Ubuntu 18.04 Bionic Beaver

    Re: Broken upgrade to 18.04?

    Quote Originally Posted by jet-bundle View Post
    I still can't start Synaptic Package Manager, though. Maybe the problem is to do with authentication?
    Have you logged in to a Wayland session?

    Synaptic often has authentication problems with Wayland.

    When you log in next time, click on the gear wheel and select Ubuntu - hopefully that will help.

  5. #5
    Join Date
    Feb 2017
    Beans
    50

    Re: Broken upgrade to 18.04?

    Quote Originally Posted by tea for one View Post
    Have you logged in to a Wayland session?

    Synaptic often has authentication problems with Wayland.

    When you log in next time, click on the gear wheel and select Ubuntu - hopefully that will help.
    Thanks for the suggestion. I'm logging in with Lubuntu. I've tried LXDE and Openbox, but Synaptic Package Manager didn't start there either.

    Two other observations. The first is that I'm getting a "System problem detected" box immediately after logging in; it goes away immediately after clicking "Report problem". I'm not clear if that's normal, or if there's meant to be any further dialog after that.
    The second observation (perhaps completely unrelated) is that for some reason I have two displays of WiFi strength at the bottom of the screen.

  6. #6
    Join Date
    May 2008
    Beans
    626
    Distro
    Ubuntu 18.04 Bionic Beaver

    Re: Broken upgrade to 18.04?

    Have you tried opening synaptic from the terminal?

    This will not give you admin privileges but it may provide an error message.

    Code:
    synaptic
    Alternatively, with admin privileges.

    Code:
    synaptic-pkexec

  7. #7
    Join Date
    Feb 2017
    Beans
    50

    Re: Broken upgrade to 18.04?

    Synaptic starts from the command line without admin privileges. If I enter
    Code:
    sudo synaptic-pkexec
    and enter my password in the terminal then again Synaptic starts correctly. Just entering
    Code:
    synaptic-pkexec
    prompts a request for authentication which fails:
    Code:
    $ synaptic-pkexec
    ==== AUTHENTICATING FOR com.ubuntu.pkexec.synaptic ===
    Authentication is required to run the Synaptic Package Manager
    Authenticating as: david,,, (david)
    Password: 
    polkit-agent-helper-1: error response to PolicyKit daemon: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: No session for cookie
    ==== AUTHENTICATION FAILED ===
    Error executing command as another user: Not authorized
    Perhaps the problem concerns entering the password in a dialog box?

  8. #8
    Join Date
    May 2008
    Beans
    626
    Distro
    Ubuntu 18.04 Bionic Beaver

    Re: Broken upgrade to 18.04?

    Well, it looks like the culprit is something to do with PolicyKit (pkexec), but I do not have the necessary knowledge to advise further.

    I had a quick search on the internet with the error message that you received and there were many links with similar problems in a variety of distros.

    The fact that you can use synaptic as you have demonstrated is, at least, a partial solution.

    Hopefully, another forum member can offer some more advice soon.

  9. #9
    Join Date
    Feb 2017
    Beans
    50

    Re: Broken upgrade to 18.04?

    With the pointer to PolicyKit, I've found some useful information here. Now I can start Synaptic Package Manager from System Tools without any problem. I assume that this will fix the System Update problem as well, so I'll mark this as SOLVED. Thanks for the comments.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •